/* 背景 */
.menu-bg {
  width: 100%;
  display: block;
  position: relative;
  left: 0;
  top: 0;
}
.bg-shadow {
  width: 100%;
  display: block;
  position: absolute;
  left: 0;
  top: 0;
  animation: shadowHide 1s 0.5s forwards ease-in;
}
@keyframes shadowHide {
  0% {
    transform: scale(1);
    opacity: 1;
  }
  100% {
    transform: scale(1.5);
    opacity: 0;
  }
}
/* 背景end */

/* 星星 */
.stars {
  width: 100%;
  height: 20%;
  position: absolute;
  top: 0;
  left: 0;
}
.start {
  width: 3px;
  height: 3px;
  background-color: #fff;
  position: absolute;
  border-radius: 50%;
  box-shadow: 0 0 10px 5px #fff;
}
.start:nth-child(1) {
  left: 15%;
  top: 30%;
  opacity: 0.6;
  animation: flicker 2s infinite;
}
.start:nth-child(2) {
  left: 25%;
  top: 85%;
  opacity: 0.5;
  animation: flicker 2s 0.5s infinite;
}
.start:nth-child(3) {
  left: 40%;
  top: 30%;
  opacity: 0.4;
  animation: flicker 3s 1s infinite;
}
.start:nth-child(4) {
  left: 53%;
  top: 75%;
  opacity: 0.6;
  animation: flicker 3s infinite;
}
.start:nth-child(5) {
  left: 70%;
  top: 20%;
  opacity: 0.7;
  animation: flicker 2.5s infinite;
}
@keyframes flicker {
  0% {
    box-shadow: 0 0 3px 1px #fff;
  }
  50% {
    box-shadow: 0 0 10px 5px #fff;
  }
  100% {
    box-shadow: 0 0 3px 1px #fff;
  }
}
/* 星星end */

/* 魔杖光 */
.magic {
  width: 16%;
  position: absolute;
  top: 26.5%;
  left: 22.5%;
  animation: magicShow 1.5s forwards;
}
@keyframes magicShow {
  0% {
    transform: scale(0);
    opacity: 0.5;
  }
  100% {
    transform: scale(1);
    opacity: 1;
  }
}
/* 魔杖光end */

/* 光点 */
.lights {
  width: 50%;
  height: 50%;
  position: absolute;
  top: 40%;
  left: 50%;
  transform: translateX(-50%);
}
.light {
  position: absolute;
  background-color: #dcd1c0;
  border-radius: 50%;
  box-shadow: 0 0 5px 3px #dcd1c0;
  animation: lightsUp 3s linear forwards;
  transition: all 1s;
}
@keyframes lightsUp {
  0% {
    transform: translate3d(0, 0, 0);
    box-shadow: 0 0 10px 5px #dcd1c0;
  }
  25% {
    box-shadow: 0 0 5px 2px #dcd1c0;
  }
  50% {
    transform: translate3d(0, 10vh, 0);
    box-shadow: 0 0 10px 5px #dcd1c0;
  }
  75% {
    box-shadow: 0 0 5px 2px #dcd1c0;
  }
  95% {
    transform: translate3d(0, 20vh, 0);
    box-shadow: 0 0 10px 5px #dcd1c0;
  }
  100% {
    transform: translate3d(0, 20vh, 0);
    box-shadow: 0 0 10px 5px #dcd1c0;
  }
}
/* 光点end */

/* 选项 */
.option {
  width: 40%;
  height: 40%;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -65%);
}
.option a {
  display: block;
  position: absolute;
}
.option a:nth-child(1) {
  width: 48%;
  left: 6%;
  top: 0;
}
.option a:nth-child(2) {
  width: 45%;
  left: 54%;
  top: 23%;
}
.option a:nth-child(3) {
  width: 43%;
  left: 18%;
  top: 56%;
}
.option a:hover img {
  animation: rubberBand 1s linear;
}
/* 选项end */